GET /api/v3/energyproject/energyprojecttype

Retrieves all energy project type categories

GetEnergyProjectTypesV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to get the list of available project type categories (e.g., Lighting, HVAC) used when creating or filtering energy projects. Requires Buildings and Organizations View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyProjectType
Property Description Type
energyProjectTypeCode Short alphanumeric code identifying this project type (e.g., “LIGHT”) string
energyProjectTypeId Unique numeric identifier of the project type integer (int32)
energyProjectTypeInfo Descriptive name of the project type (e.g., “Lighting Retrofit”) string
Example Response application/json
[
  {    "energyProjectTypeCode": "string",    "energyProjectTypeId": 1,    "energyProjectTypeInfo": "string"
  }
]